Bug 2794 - Browse Shelf doesn't work with ISBN containing '-'
Summary: Browse Shelf doesn't work with ISBN containing '-'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: rel_3_2
Hardware: PC All
: P3 normal (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-17 12:31 UTC by Frédéric Demians
Modified: 2012-10-25 21:28 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:55:57 UTC


---- Reported by frederic@tamil.fr 2008-11-17 00:31:41 ----

In UNIMARC, valid biblio records can have ISBN containing '-' characters.
This character must be removed before sending ISBN to Amazon.
It has been done on OPAC result & detail page by this patch:

  http://tinyurl.com/5cqt8r

OPAC Shelf browsing function send ISBN to Amazon in order to display
book covers. It doesn't work with ISBN containing '-'.



---- Additional Comments From gmcharlt@gmail.com 2008-11-17 07:47:06 ----

Patch pushed.  Please test and close.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:55 UTC  ---

This bug was previously known as _bug_ 2794 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2794

Actual time not defined. Setting to 0.0
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, chris@bigballofwax.co.nz.
   Previous assignee was jmf@liblime.com.